<?php

/**
 * @file
 * Definition of Drupal\queue_mail\Tests\QueueMailConfigurationTest.
 */

namespace Drupal\queue_mail\Tests;

use Drupal\simpletest\WebTestBase;

/**
 * Tests configuration of Pants module.
 */
class QueueMailConfigurationTest extends WebTestBase {

  /**
   * Admin user.
   */
  protected $admin_user;

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = array('queue_mail');

  public static function getInfo() {
    return array(
      'name' => 'Configuration of Queue Mail',
      'description' => "Ensures that an administrator can configure the queue mail module on the site.",
      'group' => 'Mail',
    );
  }

  function setUp() {
    parent::setUp();

    $this->admin_user = $this->drupalCreateUser(array('administer site configuration'));
  }

  /**
   * Ensures queue_mail_keys setting can be changed.
   */
  function testKeysConfiguration() {
    $this->drupalLogin($this->admin_user);

    $this->drupalGet('admin/config/system/queue_mail');
    $this->assertFieldByName('queue_mail_keys', '');

    $this->drupalPost(NULL, array('queue_mail_keys' => 'queue_mail_test'), t('Save configuration'));
    $this->assertFieldByName('queue_mail_keys', 'queue_mail_test');
  }

  /**
   * Ensures queue_mail_queue_time setting can be changed.
   */
  function testTimesConfiguration() {
    $this->drupalLogin($this->admin_user);

    $this->drupalGet('admin/config/system/queue_mail');
    $this->assertFieldByName('queue_mail_queue_time', '15');

    $this->drupalPost(NULL, array('queue_mail_queue_time' => '30'), t('Save configuration'));
    $this->assertFieldByName('queue_mail_queue_time', '30');
  }
}
